function [p] = NEQ_ReSNA(FUNC,nabFUNC,el,p0)

%%   This file is a plugin for solving NEQ by means of ReSNA.
%%   For more detailed usage, please see the manual_NEQ_ReSNA.pdf.

%%  If [] is used for the initial point, then it is chosen randomly.

if nargin <= 3
    p0 = 2*rand(el,1) - 1;
end
if isempty(p0)
    p0 = 2*rand(el,1) - 1;
end

%%  Solving by ReSNA

K = 0;
x0 = [];
y0 = [];
[~,~,p] = ReSNA(FUNC,nabFUNC,K,el,x0,y0,p0);
